Functions
FLAG_Management
Peripheral Driver » LL Driver » RTC » Functions

## Functions
__STATIC_INLINE uint32_t | ll_rtc_is_active_flag_alarm (rtc_regs_t *RTCx)
| Indicate if the RTC alarm event flag is set or not. More...
__STATIC_INLINE uint32_t | ll_rtc_is_active_flag_wrap (rtc_regs_t *RTCx)
| Indicate if the RTC wrap event flag is set or not. More...
__STATIC_INLINE uint32_t | ll_rtc_is_active_flag_tick (rtc_regs_t *RTCx)
| Indicate if the RTC tick event flag is set or not. More...
__STATIC_INLINE void | ll_rtc_clear_flag_alarm (rtc_regs_t *RTCx)
| Clear RTC alarm interrupt flag. More...
__STATIC_INLINE void | ll_rtc_clear_flag_wrap (rtc_regs_t *RTCx)
| Clear RTC wrap interrupt flag. More...
__STATIC_INLINE void | ll_rtc_clear_flag_tick (rtc_regs_t *RTCx)
| Clear RTC tick interrupt flag. More...
__STATIC_INLINE void | ll_rtc_clear_it_event (rtc_regs_t *RTCx)
| Clear RTC interrupt event. More...
__STATIC_INLINE void | ll_rtc_clear_tick_it_event (rtc_regs_t *RTCx)
| Clear RTC tick interrupt event. More...
__STATIC_INLINE void | ll_rtc_it_enable_wakeup_by_rtc (rtc_regs_t *RTCx)
| Enable RTC alarm wakeup interrupt. More...
__STATIC_INLINE void | ll_rtc_it_disable_wakeup_by_rtc (rtc_regs_t *RTCx)
| Disable RTC alarm wakeup interrupt. More...

## Detailed Description

## Function Documentation

## ◆ ll_rtc_clear_flag_alarm()

__STATIC_INLINE void ll_rtc_clear_flag_alarm | ( | rtc_regs_t * | RTCx | ) |

Clear RTC alarm interrupt flag.

Register|BitsName --------|-------- SLP_EVENT| RTC_TIMER_ALARM

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 748 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_clear_flag_tick()

__STATIC_INLINE void ll_rtc_clear_flag_tick | ( | rtc_regs_t * | RTCx | ) |

Clear RTC tick interrupt flag.

Register|BitsName --------|-------- SLP_EVENT| RTC_TIMER_WRAP

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 778 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_clear_flag_wrap()

__STATIC_INLINE void ll_rtc_clear_flag_wrap | ( | rtc_regs_t * | RTCx | ) |

Clear RTC wrap interrupt flag.

Register|BitsName --------|-------- RTC_INT_STAT| RTC_TICK

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 763 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_clear_it_event()

__STATIC_INLINE void ll_rtc_clear_it_event | ( | rtc_regs_t * | RTCx | ) |

Clear RTC interrupt event.

Register|BitsName --------|-------- AON_MISC | AON_SLP_EVENT

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 793 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_clear_tick_it_event()

__STATIC_INLINE void ll_rtc_clear_tick_it_event | ( | rtc_regs_t * | RTCx | ) |

Clear RTC tick interrupt event.

Register|BitsName --------|-------- AON_MISC | AON_SLP_EVENT

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 808 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_is_active_flag_alarm()

__STATIC_INLINE uint32_t ll_rtc_is_active_flag_alarm | ( | rtc_regs_t * | RTCx | ) |

Indicate if the RTC alarm event flag is set or not.

Note
  This bit is set by hardware when the counter has reached alarm value. It can be cleared by writing 0 to this bit.

Register|BitsName --------|-------- SLP_EVENT | RTC_TIMER_ALARM

Parameters

  RTCx | RTC instance

Return values

  State | of bit (1 or 0).

Definition at line 699 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_is_active_flag_tick()

__STATIC_INLINE uint32_t ll_rtc_is_active_flag_tick | ( | rtc_regs_t * | RTCx | ) |

Indicate if the RTC tick event flag is set or not.

Note
  This bit is set by hardware when the counter has reached to 0. It can be cleared by writing 1 to this bit.

Register|BitsName --------|-------- RTC_INT_STAT | TICK_INT_STAT

Parameters

  RTCx | RTC instance

Return values

  State | of bit (1 or 0).

Definition at line 733 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_is_active_flag_wrap()

__STATIC_INLINE uint32_t ll_rtc_is_active_flag_wrap | ( | rtc_regs_t * | RTCx | ) |

Indicate if the RTC wrap event flag is set or not.

Note
  This bit is set by hardware when the counter has overflow. It can be cleared by writing 0 to this bit.

Register|BitsName --------|-------- SLP_EVENT | CALENDAR_TIMER_WRAP

Parameters

  RTCx | RTC instance

Return values

  State | of bit (1 or 0).

Definition at line 716 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_it_disable_wakeup_by_rtc()

__STATIC_INLINE void ll_rtc_it_disable_wakeup_by_rtc | ( | rtc_regs_t * | RTCx | ) |

Disable RTC alarm wakeup interrupt.

Register|BitsName --------|-------- AON_MISC | MCU_WAKEUP_CTRL

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 838 of file gr533x_ll_rtc.h.

## ◆ ll_rtc_it_enable_wakeup_by_rtc()

__STATIC_INLINE void ll_rtc_it_enable_wakeup_by_rtc | ( | rtc_regs_t * | RTCx | ) |

Enable RTC alarm wakeup interrupt.

Register|BitsName --------|-------- AON_MISC | MCU_WAKEUP_CTRL

Parameters

  RTCx | RTC instance

Return values

  None |

Definition at line 823 of file gr533x_ll_rtc.h.